import { html as h } from "lit";
import { property as n } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var v = Object.defineProperty, d = Object.getOwnPropertyDescriptor, a = (p, r, s, t) => {
  for (var e = t > 1 ? void 0 : t ? d(r, s) : r, i = p.length - 1, c; i >= 0; i--)
    (c = p[i]) && (e = (t ? c(r, s, e) : c(e)) || e);
  return t && e && v(r, s, e), e;
};
let o = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--creditCardHome", this.class = "c-pieIcon c-pieIcon--creditCardHome", this.name = "IconCreditCardHome";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--creditCardHome"><path d="M4.5 11.5h1.75v.875H4.5V11.5ZM8.814 1.254a2.082 2.082 0 0 0-1.637 0 46.042 46.042 0 0 0-6.125 4.068l.823 1.042A42.989 42.989 0 0 1 7.72 2.452c.178-.043.364-.043.542 0a43 43 0 0 1 5.863 3.912l.814-1.042a45.719 45.719 0 0 0-6.125-4.068ZM13.906 8v5.25a1.54 1.54 0 0 1-1.531 1.531h-8.75a1.54 1.54 0 0 1-1.531-1.531V8a1.54 1.54 0 0 1 1.531-1.531h8.75a1.54 1.54 0 0 1 1.531 1.53Zm-10.5 0v1.094h9.188V8a.219.219 0 0 0-.219-.219h-8.75A.219.219 0 0 0 3.406 8Zm9.188 5.25v-2.844H3.406v2.844a.219.219 0 0 0 .219.219h8.75a.219.219 0 0 0 .219-.22Z"></path></svg>`;
  }
};
a([
  n({ type: String, reflect: !0 })
], o.prototype, "size", 2);
a([
  n({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = a([
  m("icon-credit-card-home")
], o);
export {
  o as IconCreditCardHome
};
